import { Component, h, Prop } from '@stencil/core';
export class CntFlexyViewAbdullakhUniversalFooter_ {
    render() {
        return (h("footer", { class: "container-fluid p-0 m-0" },
            h("div", { class: "universal_down_horizon" },
                h(IconBlocks, { arr: this.footerIcons.icons }))));
    }
    static get is() { return "cnt-flexy-view-abdullakh-universal-footer_"; }
    static get originalStyleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-universal-footer_.css"]
    }; }
    static get styleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-universal-footer_.css"]
    }; }
    static get properties() { return {
        "footerIcons": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "footer-icons",
            "reflect": false
        }
    }; }
}
/*
* компонентная функция для вывода иконок приложений
 */
const IconBlocks = (props) => {
    return props.arr.map((item) => {
        /*
        * для вывода уведомлений
         */
        let notification = () => {
            if (item.messages.length != 0) {
                return (h("span", { class: "counter" }, item.messages.length));
            }
        };
        return (h("div", { class: "footerAppItem" },
            notification(),
            h("div", { class: "footerIcon", style: { backgroundImage: "url(" + item.iconHref + ")" } }),
            h("div", { class: "footerIconName" }, item.iconName)));
    });
};
